
Quantification tool - Support #1731

Change package for Excel template

05/17/2016 04:26 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 05/17/2016

Priority: Immediate Due date: 06/24/2016

Assignee: Luis Gustavo do Valle Bastos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 4.0 Spent time: 0.00 hour

Description

1) Change the messages below:

For error.stockexpirydate:  Expiration date of the stock on hand cannot be blank or before XX (Min date) or after XX (Max date)

For error.expectedreceive:  Expected receiving date cannot be blank or before XX (Min date) or after XX (Max date)

2) Remove the sheet “Current forecasting data”.

3) Remove the stock on hand and stock on order part of the parameters sheet of the exported excel, and replace to a new sheet

called “Parameters - Stock” (displayed between the parameters and summary tabs) following the same lay-out as in the excel

template, but without consistency checking or defined names.

4) Make “Min date” (used for the expiration date’s red messages) related to the reference date of the forecasting file that is open.

5) Keep “Max date” calculated as 15 years after the “Min date”.

6) Display somewhere in the template the reference date of the file that was open when the template was extracted (for information

only).

7) System should allow medicines to be imported when expiration date of the stock on hand, the expected receiving date of the stock

on order and the expiration date of the stock on order are equal or after the “Min date” (following the same logic of QuanTB to be

consistent). Currently, system does not allow same date as the Min date.

8) Change the label of the error message “Cannot found stock on order. Please, fill in data” to “Your spreadsheet is missing required

data. The minimum needed is medicine name(s) and either stock on hand (with dates) or stock on order (with dates). Please correct

and try again”.

History

#1 - 06/22/2016 12:43 PM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 06/23/2016 12:59 PM - Oleksii Kurasov

- Due date set to 06/24/2016

- Status changed from In Progress to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#3 - 10/13/2016 06:58 PM - Andualem Oumer

- Status changed from Resolved to Closed

It is ok now
